logo
ReportsDelete report recipient

Delete report recipient

Permanently removes a report recipient from the workspace.

curl -X DELETE "https://api.sendkit.ai/v1/reports/recipients/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "message": "Recipient deleted"
  }
}
DELETE
/v1/reports/recipients/{recipientId}
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

recipientIdstring
Required

Report recipient ID

Responses

successboolean
dataobject